Name: sweets-telepathy-glib
Version: 0.14.10

Release: 3.1
Group: Development/Tools/Other
Summary: GLib bindings for the Telepathy D-Bus protocol
License: LGPLv2+
Url: http://telepathy.freedesktop.org/

Source: telepathy-glib-0.14.10.tar.gz
Source1: sweet.tar.gz
Source3: gnutls-2.12.20.tar.gz
Source4: glib-2.26.1.tar.gz
Source5: dbus-glib-0.86.tar.gz



Requires: dbus >= 0.95
Requires: expat
Requires: libgcrypt
Requires: libtasn1
Requires: zlib
BuildRequires: dbus-devel >= 0.95
BuildRequires: expat-devel
BuildRequires: gcc
BuildRequires: libgcrypt-devel
BuildRequires: libtasn1-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: libxslt
BuildRequires: zlib-devel
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
GLib bindings for the Telepathy D-Bus protocol

%prep
%setup -n telepathy-glib-0.14.10

tar xzpvf %{SOURCE1} -C %{_sourcedir}
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

deps_root="$PWD/deps"; export PATH=$deps_root/bin:$PATH; export PKG_CONFIG_PATH=$deps_root/lib/pkgconfig:$PKG_CONFIG_PATH; export CFLAGS="${CFLAGS} -Wl,-rpath,/opt/sweets/telepathy-glib/lib"; tar xzpf gnutls-2.12.20.tar.gz && cd gnutls-2.12.20 && ./configure --prefix=$deps_root --disable-cxx --disable-gtk-doc --disable-gtk-doc-pdf --disable-static --with-libgcrypt --with-zlib --without-p11-kit && make && make install && rm -f $deps_root/lib/*.la && cd - && tar xzpf glib-2.26.1.tar.gz && cd glib-2.26.1 && ./configure --prefix=$deps_root --disable-fam --disable-selinux --disable-gtk-doc --disable-static --enable-regex --with-pcre=internal --with-threads=posix && make && make install && rm -f $deps_root/lib/*.la && cd - && tar xzpf dbus-glib-0.86.tar.gz && cd dbus-glib-0.86 && ./configure --prefix=$deps_root --localstatedir=/var --disable-gtk-doc --disable-static --disable-bash-completion --disable-verbose-mode --disable-asserts && make && make install && cd - && rm -f $deps_root/lib/*.la && ./configure --prefix=/opt/sweets/telepathy-glib --disable-gtk-doc && make && make DESTDIR=%{buildroot}/.dest install && sed -i 's:^prefix.*:prefix=/opt/sweets/telepathy-glib:' $deps_root/lib/pkgconfig/*.pc && cp -a $deps_root/include $deps_root/lib $deps_root/bin %{buildroot}/.dest//opt/sweets/telepathy-glib/ && true
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/telepathy-glib '' '' > sweets-telepathy-glib.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/telepathy-glib/sweets.recipe >> sweets-telepathy-glib.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/telepathy-glib '' '' >> sweets-telepathy-glib.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/telepathy-glib
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/telepathy-glib/pydirs)
echo /opt/sweets/sdk/telepathy-glib/pydirs >> sweets-telepathy-glib.files

%post
test -e /opt/sweets/sdk/telepathy-glib/pydirs && for i in `cat /opt/sweets/sdk/telepathy-glib/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/telepathy-glib/pydirs && for i in `cat /opt/sweets/sdk/telepathy-glib/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-telepathy-glib.files

%changelog
